Type to search.

Clear the API key cache

  • POST /_security/api_key/{ids}/_clear_cache
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.10 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Evict a subset of all entries from the API key cache. The cache is also automatically cleared on state changes of the security index.

Required privileges

Cluster privileges manage_security

Path parameters

ids union string | string[] required

Comma-separated list of API key IDs to evict from the API key cache. To evict all API keys, use *. Does not support other wildcard patterns.

Response

application/json
_nodes object required
total number required

Total number of nodes selected by the request.

successful number required

Number of nodes that responded successfully to the request.

failed number required

Number of nodes that rejected the request or failed to respond. If this value is not 0, a reason for the rejection or failure is included in the response.

cluster_name string required
nodes map string to object required
<string> object
name string required